| globjects 1.0.0.000000000000 Strict OpenGL objects wrapper.

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
globjects::StateSetting Class Reference

`#include <globjects/include/globjects/StateSetting.h>`

## Public Member Functions
template<typename... Arguments>
| StateSetting (void(*function)(Arguments...), Arguments... arguments)
virtual | ~StateSetting ()
void | apply ()
StateSettingType & | type ()
const StateSettingType & | type () const

## Protected Member Functions
| StateSetting (std::unique_ptr< AbstractFunctionCall > &&functionCall)

## Protected Attributes
std::unique_ptr< AbstractFunctionCall > | m_functionCall
StateSettingType | m_type

## Constructor & Destructor Documentation

## ◆ StateSetting() [1/2]

template<typename... Arguments>

globjects::StateSetting::StateSetting | ( | void(*)(Arguments...) | function,
|  | Arguments... | arguments
| ) |  |

## ◆ ~StateSetting()

virtual globjects::StateSetting::~StateSetting | ( |  | ) |
| virtual

## ◆ StateSetting() [2/2]

globjects::StateSetting::StateSetting | ( | std::unique_ptr< AbstractFunctionCall > && | functionCall | ) |
| protected

## Member Function Documentation

## ◆ apply()

void globjects::StateSetting::apply | ( |  | ) |

## ◆ type() [1/2]

StateSettingType& globjects::StateSetting::type | ( |  | ) |

## ◆ type() [2/2]

const StateSettingType& globjects::StateSetting::type | ( |  | ) | const

## Member Data Documentation

## ◆ m_functionCall

std::unique_ptr<AbstractFunctionCall> globjects::StateSetting::m_functionCall
| protected

## ◆ m_type

StateSettingType globjects::StateSetting::m_type
| protected

The documentation for this class was generated from the following file:

- StateSetting.h